ANALYZE-INDEX(1)

NAME
analyze-index - analyzes a FramerD file index

SYNOPSIS
analyze-index filename [ histogram ]

DESCRIPTION
analyze-index analyzes and summarizes the hashing performance and other characteristics of the framerd file index in filename It reports the number of keys, the number of direct hits, and the average and maximum number of chains neccessary to retrieve a key. It also reports the largest number of values associated with any given key and summarizes the "low end" of the index's value histogram. If the filename parameter histogram is provided, a complete histogram is written into this file. This consists of a series of tab-separated lines: the first field is the number of associated values and the second field is the number keys which have that number of associated values.

OPTIONS
No options

DIAGNOSTICS
The program reports an error if filename does not exist or does not contain valid file index.

BUGS
If some of the associations contain repeated values, they will be counted twice. For a completely accurate histogram, the file index should be repacked with repack-file-index(1) before being analyzed.

AUTHOR
Ken Haase < kh@beingmeta.com >

Revision Info
$Id: analyze-index.1,v 1.4 2002/07/10 00:13:11 haase Exp $

SEE ALSO
framerd(7) repack-file-index(1) make-file-index(1)